/*
 * Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: pmilter.h,v 1.7 2005/05/31 20:47:57 ca Exp $
 */

#ifndef SM_PMILTER_H
#define SM_PMILTER_H 1

#include "sm/generic.h"
#include "sm/types.h"
#include "sm/memops.h"

/*
**  protocol version
*/

#define SM_PMILTER_PROT	0x00000200	/* major: 24bits, minor: 8bits */

/*
**  SMTP server capabilities
*/

#define SM_SCAP_PM_NONE		0x00000000
#define SM_SCAP_PM_CNNCT	0x00000001
#define SM_SCAP_PM_EHLO		0x00000002
#define SM_SCAP_PM_STTLS	0x00000004	/* not yet implemented */
#define SM_SCAP_PM_AUTH		0x00000008	/* not yet implemented */
#define SM_SCAP_PM_MAIL		0x00000010
#define SM_SCAP_PM_RCPT		0x00000020
#define SM_SCAP_PM_DATA		0x00000040
#define SM_SCAP_PM_BODY		0x00000080

#define SM_SCAP_PM_ALL		0x000000FF

/*
**  SMTP server functions
*/

#define SM_SFCT_PM_ALL		0x00000000

/*
**  SMTP server features
*/

#define SM_SFEAT_PM_ALL		0x00000000

/*
**  SMTP server misc.
*/

#define SM_SMISC_PM_ALL		0x00000000

#endif /* SM_PMILTER_H */
