#!/bin/sh
# $Id: t-smar-2.sh,v 1.10 2005/05/31 21:11:21 ca Exp $
# Copyright (c) 2003-2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# ------------------------------------------------------------
# Description:
# Script to test MX/A expansion for RFC2821 addresses.
# Uses smar, t-smar-2, startsmar.sh, DNS
# Note: this program relies on the sm9.org DNS server.
# ------------------------------------------------------------
#
test -s stop && exit 1
#

if test X"${SM_NO_DNS_TEST}" != "X"
then
  echo "SKIPPED: $0"
  exit 0
fi

# path to programs
P=..
SD=`dirname $0`
SHELL=/bin/sh
OUT=smar-0.out
IP=smar-0.ip
OK=smar-0.ok
SOCK=qmsmar/qmsmar
PIDS=pids
ERRS=0
TPRG=./t-smar-1

rm -f ${SOCK} ${PIDS}
# start SMAR
${SD}/startsmar.sh || exit 1
rm -f ${OUT} ${IP} ${OK}

# check output somehow...
${VALGRIND} ${TPRG} -M -VVVV '<a@double1.sm9.org>' > ${OUT} 2>&1

grep '^IP' ${OUT} > ${IP}
cat > ${OK} <<EOF
IP[0]=63.195.85.27 [3fc3551b]
EOF

if diff ${OK} ${IP}
then
  :
else
  ERRS=`expr ${ERRS} + 1 `
fi

# stop SMAR
for i in `cat ${PIDS}`
do
  kill ${i}
done
# ----------------
# thanks kids for not following the POSIX standard...
if test X"`uname`" = "XLinux"
then
  killall smar
fi
sleep 5

# start SMAR

rm -f ${SOCK} ${PIDS}
# start SMAR
${SD}/startsmar.sh || exit 1
rm -f ${OUT} ${IP} ${OK}

# check output somehow...
${VALGRIND} ${TPRG} -M -VVVV '<a@double2.sm9.org>' > ${OUT} 2>&1

grep '^IP' ${OUT} > ${IP}
cat > ${OK} <<EOF
IP[0]=63.195.85.27 [3fc3551b]
IP[1]=63.195.85.27 [3fc3551b]
EOF

if diff ${OK} ${IP}
then
  :
else
  ERRS=`expr ${ERRS} + 1 `
fi

# rm -f ${OUT} ${IP} ${OK}

# stop SMAR
for i in `cat ${PIDS}`
do
  kill ${i}
done
# ----------------
# thanks kids for not following the POSIX standard...
if test X"`uname`" = "XLinux"
then
  killall smar
fi

exit ${ERRS}
